#2 Remove ambiguous python buildrequires and stop dragging in Python 2
Merged 5 years ago by lholecek. Opened 5 years ago by churchyard.
rpms/ churchyard/waiverdb nopy2  into  master

file modified
+4 -15
@@ -11,7 +11,7 @@ 

  

  Name:           waiverdb

  Version:        0.11.0

- Release:        3%{?dist}

+ Release:        4%{?dist}

  Summary:        Service for waiving results in ResultsDB

  License:        GPLv2+

  URL:            https://pagure.io/waiverdb
@@ -43,20 +43,6 @@ 

  BuildRequires:  python3-flask-migrate

  BuildRequires:  python3-stomppy

  BuildRequires:  python3-fedmsg

- BuildRequires:  python-flask

- BuildRequires:  python-sqlalchemy

- BuildRequires:  python-flask-restful

- BuildRequires:  python-flask-sqlalchemy

- BuildRequires:  python-psycopg2

- BuildRequires:  python-gssapi

- BuildRequires:  pytest

- BuildRequires:  python-mock

- BuildRequires:  python-flask-oidc

- BuildRequires:  python-click

- BuildRequires:  python-configparser

- BuildRequires:  python-flask-migrate

- BuildRequires:  stomppy

- BuildRequires:  fedmsg

  Requires:       python3-flask

  Requires:       python3-sqlalchemy

  Requires:       python3-flask-restful
@@ -192,6 +178,9 @@ 

  %endif

  

  %changelog

+ * Mon Dec 03 2018 Miro Hrončok <mhroncok@redhat.com> - 0.11.0-4

+ - Remove ambiguous python buildrequires and stop dragging in Python 2

+ 

  * Wed Aug 15 2018 Ralph Bean - 0.11.0-3

  - Fixed requires lines for epel7.

  

no initial comment

+1, thanks.

The spec file should be updated also in https://pagure.io/waiverdb/ - we usually use ./rpmbuild.sh -bs from the repo to generate source RPM and fedpkg import ...src.rpm.

@gnaponie, can you double-check if it's OK to remove the dependencies?

looks good to me!
I agree with Lukas' comment. Thanks

Pull-Request has been merged by lholecek

5 years ago